Bug 15683 - It is very tedious and almost impossible to properly display poetry that is typographically metered, specially in Arabic since it needs strict typographical alignments. The fact that Arabic readers almost always come across poetry on daily bases as they b
It is very tedious and almost impossible to properly display poetry that is t...
Status: RESOLVED WORKSFORME
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-24 00:25 UTC by contributor
Modified: 2012-08-23 17:30 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-01-24 00:25:45 UTC
Specification: http://dev.w3.org/html5/spec/Overview.html
Multipage: http://www.whatwg.org/C#top
Complete: http://www.whatwg.org/c#top

Comment:
It is very tedious and almost impossible to properly display poetry that is
typographically metered, specially in Arabic since it needs strict
typographical alignments. The fact that Arabic readers almost always come
across poetry on daily bases as they brows the net makes this a requirement.
That would also almost be true for most languages which use poetic proverbs in
articles and writings to convey ideas and thoughts.
I can think of two solutions at this time to properly display this:
1. An HTML tag with attribute <poetry stanza="value">. From there, a CSS3
selector can easily refine the presentation form of the piece.
2. Basically the tedious way of using <p> and/or <table> and/or <li> and/or
<span> etc then applying a presentation formatting on selectors. Not an
eloquent way at all to say the least.

By introducing the new <poetry> tag and starting with "stanza" attribute, I am
sure that the tag will grow interest for further refinement and more
attributes will be introduced for the tag to be an efficient way of
representing that kind of literature in any kind of language.

to contact: (ismail) [at] (tabtabai) (dot) (org)

Posted from: 219.120.138.253
User agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_7_2) AppleWebKit/534.52.7 (KHTML, like Gecko) Version/5.1.2 Safari/534.52.7
Comment 1 Benjamin Hawkes-Lewis 2012-01-24 07:27:11 UTC
(In reply to comment #0)
> It is very tedious and almost impossible to properly display poetry that is
> typographically metered, specially in Arabic since it needs strict
> typographical alignments.

Can you provide an example? (You appear to be the originator of the phrase "typographically metered".)

> The fact that Arabic readers almost always come
> across poetry on daily bases as they brows the net makes this a requirement.
> That would also almost be true for most languages which use poetic proverbs in
> articles and writings to convey ideas and thoughts.
> I can think of two solutions at this time to properly display this:
> 1. An HTML tag with attribute <poetry stanza="value">. From there, a CSS3
> selector can easily refine the presentation form of the piece.
> 2. Basically the tedious way of using <p> and/or <table> and/or <li> and/or
> <span> etc then applying a presentation formatting on selectors. Not an
> eloquent way at all to say the least.

What's wrong with using <pre> when you need "strict typographical alignments" for poetry?

http://www.whatwg.org/specs/web-apps/current-work/multipage/grouping-content.html#the-pre-element
Comment 2 contributor 2012-07-18 07:15:30 UTC
This bug was cloned to create bug 17905 as part of operation convergence.
Comment 3 Edward O'Connor 2012-08-23 17:30:04 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: No change.
Rationale: In the absence of a reply to the questions in comment #1, <pre> seems like the solution.